MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026546Open CASCADE[OCCT] OCCT:Configurationpublic2015-08-11 14:492016-04-20 15:48
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026546: Configuration, genproj.tcl - add support for VS2015 in project file generator
DescriptionThe files format of VS2015 is mostly same since VS2010, so it should be trivial to support vc14 in genproj.tcl.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0026547closedski Configuration - fix compilation errors on VS2015 

-  Notes
(0043972)
git (administrator)
2015-08-11 15:05

Branch CR26546 has been created by kgv.

SHA-1: 24118fe5169b51d09f539706a7255bfd45326605


Detailed log of new commits:

Author: kgv
Date: Tue Aug 11 14:52:15 2015 +0300

    0026546: Configuration, genproj.tcl - add support for VS2015 in project file generator
(0044045)
git (administrator)
2015-08-12 16:50

Branch CR26546 has been updated forcibly by kgv.

SHA-1: b158c475abd51b7197d375f878f2970f8127fa27
(0044063)
git (administrator)
2015-08-13 10:20

Branch CR26546 has been updated by kgv.

SHA-1: 4c05b050e9bc121c34857660550b9f681e0c7860


Detailed log of new commits:

Author: kgv
Date: Thu Aug 13 07:20:23 2015 +0300

    Merge templates vc11 into vc10

(0044064)
git (administrator)
2015-08-13 10:24

Branch CR26546_1 has been created by kgv.

SHA-1: ead763dcac025b4e31880802e93c81072797ed52


Detailed log of new commits:

Author: kgv
Date: Thu Aug 13 07:23:54 2015 +0300

    0026546: Configuration, genproj.tcl - add support for VS2015 in project file generator
    
    Use vc10 templates for vc10, vc11, vc12, vc14.
(0044065)
kgv (developer)
2015-08-13 11:01

Patch is ready for review in branch CR26546_1.
(0044332)
abv (manager)
2015-08-17 10:01
edited on: 2015-08-17 10:02

Reviewed and tested, please integrate (regular certification testing is not required, testing with VS2015 will be done later)

(0046930)
git (administrator)
2015-10-16 16:23

Branch CR26546 has been deleted by kgv.

SHA-1: 4c05b050e9bc121c34857660550b9f681e0c7860
(0046931)
git (administrator)
2015-10-16 16:23

Branch CR26546_1 has been deleted by kgv.

SHA-1: ead763dcac025b4e31880802e93c81072797ed52

- Related Changesets
occt: master 39bff09c
Timestamp: 2015-08-13 04:23:54
Author: abv
Committer: abv
Details ] Diff ]
0026546: Configuration, genproj.tcl - add support for VS2015 in project file generator

Use vc10 templates for vc10, vc11, vc12, vc14.
mod - adm/genconf.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/templates/msvc.bat Diff ] File ]
mod - adm/templates/template.vc10 Diff ] File ]
mod - adm/templates/template.vc10x Diff ] File ]
rm - adm/templates/template.vc11 Diff ] File ]
rm - adm/templates/template.vc11x Diff ] File ]
rm - adm/templates/template.vc12 Diff ] File ]
rm - adm/templates/template.vc12x Diff ] File ]
mod - adm/templates/vcxproj.user.vc10x Diff ] File ]
rm - adm/templates/vcxproj.user.vc11x Diff ] File ]
rm - adm/templates/vcxproj.user.vc12x Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-11 14:49 kgv New Issue
2015-08-11 14:49 kgv Assigned To => kgv
2015-08-11 15:05 git Note Added: 0043972
2015-08-12 16:50 git Note Added: 0044045
2015-08-13 10:20 git Note Added: 0044063
2015-08-13 10:24 git Note Added: 0044064
2015-08-13 11:01 kgv Note Added: 0044065
2015-08-13 11:01 kgv Assigned To kgv => abv
2015-08-13 11:01 kgv Status new => resolved
2015-08-17 10:01 abv Note Added: 0044332
2015-08-17 10:01 abv Assigned To abv => bugmaster
2015-08-17 10:01 abv Status resolved => reviewed
2015-08-17 10:02 abv Note Edited: 0044332 View Revisions
2015-08-21 13:11 mkv Status reviewed => tested
2015-08-21 13:11 mkv Test case number => Not needed
2015-08-21 13:40 abv Changeset attached => occt master 39bff09c
2015-08-21 13:40 abv Assigned To bugmaster => abv
2015-08-21 13:40 abv Status tested => verified
2015-08-21 13:40 abv Resolution open => fixed
2015-08-25 09:33 kgv Relationship added parent of 0026547
2015-10-16 16:23 git Note Added: 0046930
2015-10-16 16:23 git Note Added: 0046931
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker